=== debian/changelog ===
ros-kinetic-aruco-ros (0.2.3-0xenial) xenial; urgency=high

  * Force marker_publisher to build after all dependencies.
  * Fixed OpenCV Calib3D link error on ROS Kinetic
  * Add aruco_ros_utils lib and fix some missing dependencies
  * Replace assert by error message to keep library functional
  * Contributors: Bence Magyar, Christopher Hrabia, Jordi Pages, Ugnius Malūkas, Victor Lopez, Voidminded, ethanfowler

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Apr 2018 23:00:00 -0000

ros-kinetic-aruco-ros (0.2.2-0xenial) xenial; urgency=high

  * only look for aruco if someone is looking for them
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Jul 2017 23:00:00 -0000

ros-kinetic-aruco-ros (0.2.1-0xenial) xenial; urgency=high

  * Change default threshold to match defaults of aruco marker detector
  * Add dynamic reconfigure to simple_single
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Jul 2017 23:00:00 -0000

ros-kinetic-aruco-ros (0.2.0-0xenial) xenial; urgency=high

  * only proccesses images if there are subscribers
  * add rviz marker and add corner param
  * use double precision to improve accuracy
  * Contributors: Jordi Pages, Procópio Stein

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Oct 2016 23:00:00 -0000

ros-kinetic-aruco-ros (0.1.0-0xenial) xenial; urgency=high

  * Update changelogs and maintainer email
  * Frame parameters only checked when using camera info
  * Add marker list publisher
  * Remove unused broadcaster
  * Only do 3d when there is camera info
  * Use waitForMessage for camerainfo
  * Remove nonsense assert
  * Reorganize and allow no camera_info
  * Fix crash when distortion vector is 0 long (usb_cam)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Aug 2015 23:00:00 -0000

ros-kinetic-aruco-ros (0.0.1-0xenial) xenial; urgency=high

  * More accurate ROS timestamps (callback triggering time)
    This commit ensures that:
    - all published msgs in a callback have the same timestamp
    - the time is as close as possible to the frame grabbing time (as fast as the marker detection may be, the delay might affect TF interpolation in an unacceptable way for applications like visual servoing)
  * Install marker_publisher executable
    This target was missing in the installation rule
  * Finished some renaming
  * changes to finish branch merge
  * aruco_ros: Fixing superfluous (and broken) linker arg to -laruco
  * Reorganize aruco_ros into 3 packages
  * Contributors: Bence Magyar, Jordi Pages, Josh Langsfeld, ObiWan, Steve Vozar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 May 2015 23:00:00 -0000
